import type { OnDestroy } from '@angular/core';
import type { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class WebAudioAnalyser extends AnalyserNode implements OnDestroy {
    frequencyByte$: Observable<Uint8Array>;
    frequencyFloat$: Observable<Float32Array>;
    timeByte$: Observable<Uint8Array>;
    timeFloat$: Observable<Float32Array>;
    constructor(fftSizeArg: string | null, maxDecibelsArg: string | null, minDecibelsArg: string | null, smoothingTimeConstantArg: string | null);
    protected static init(that: WebAudioAnalyser, node: AudioNode | null): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WebAudioAnalyser, [{ attribute: "fftSize"; }, { attribute: "maxDecibels"; }, { attribute: "minDecibels"; }, { attribute: "smoothingTimeConstant"; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<WebAudioAnalyser, "[waAnalyserNode]", ["AudioNode"], { "fftSize": { "alias": "fftSize"; "required": false; }; "minDecibels": { "alias": "minDecibels"; "required": false; }; "maxDecibels": { "alias": "maxDecibels"; "required": false; }; "smoothingTimeConstant": { "alias": "smoothingTimeConstant"; "required": false; }; "channelCount": { "alias": "channelCount"; "required": false; }; "channelCountMode": { "alias": "channelCountMode"; "required": false; }; "channelInterpretation": { "alias": "channelInterpretation"; "required": false; }; }, { "frequencyByte$": "frequencyByte$"; "frequencyFloat$": "frequencyFloat$"; "timeByte$": "timeByte$"; "timeFloat$": "timeFloat$"; }, never, never, true, never>;
}
