import type { PipeTransform } from '@angular/core';
import * as i0 from "@angular/core";
export declare class WebAudioPeriodicWavePipe implements PipeTransform {
    private readonly context;
    /**
     * Creates {@link PeriodicWave} to use with {@link OscillatorNode}
     *
     * @param real cosine terms (traditionally the A terms)
     * @param imag sine terms (traditionally the B terms)
     * @param disableNormalization see {@lin PeriodicWaveConstraints}
     */
    transform(real: number[], imag?: number[], disableNormalization?: boolean): PeriodicWave;
    static ɵfac: i0.ɵɵFactoryDeclaration<WebAudioPeriodicWavePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<WebAudioPeriodicWavePipe, "waPeriodicWave", true>;
}
